<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-01-02T16:18:55Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment>Verified with DataPRO v4.0.1071, 4.1.470, 4.2.184
 
Tested:
 
 
Discovered and added a TSR AIR to database:
 
 
Added a group and used TSR AIR as hardware
 
Moved to channels step and observed no crash:</Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2023-10-16T18:43:27Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>issue was with null test setup and getting sample rate: here's the change to fix
 

_editObjectSensorsControl?.TestSetup?.GetSampleRate(ch.GetParentDAS().SerialNumber, 0) &lt;= DFConstantsAndEnums.TSR_AIR_HIGH_G_CUTOFF_RATE_SPS)</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-10-05T17:48:42Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jaime Lopez</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-10-03T18:46:26Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2023-09-27T18:43:56Z</TimeStamp>
    <ReleaseNote>Addresses a crash when in Edit test setup when using a TSR AIR</ReleaseNote>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-09-27T16:47:45Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>To test:

Add a TSR AIR to the DataPRO database.
Add a Group and include a TSR AIR in the Hardware step.
Move to the Channels step and ensure that DataPRO doesn't crash.</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-09-13T16:21:35Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>49578 is 4.0; 49579 is 4.1; 49580 is 4.2</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2023-09-13T16:20:14Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-09-13T16:18:25Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Opened</StatusString>
    <TimeStamp>2023-09-13T16:18:24Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>